#!/bin/bash
echo "Wiping old/dead screens..."
screen -wipe 2>&1 /dev/null
echo "Starting new screen session: audio..."
screen -d -m -S audio
sleep 1
echo "Starting jackd..."
screen -X -S audio screen -t jack-daemon -p- -- jackd --timeout 4500 -R -d alsa -d hw:2 -r 48000 -H -p 128 -z shaped
sleep 1
echo "Starting a2jmidid..."
screen -X -S audio screen -t alsa_jack_midi -p- -- a2jmidid -e
sleep 1
echo "Starting j2amidi_bridge..."
screen -X -S audio screen -t jak_alsa_midi -p- -- j2amidi_bridge
# the last two were for connecting ALSA -> and vice versa MIDI wise
sleep 1
echo "Starting jack_midi_clock..." # the syncing app
screen -X -S audio screen -t clock_source -p- -- jack_midi_clock
sleep 1
# feeding the synced clock signal back to the alsa system
jack_connect "Jack MIDI Clock:midi_out" "j2a_bridge:playback"
echo "Starting Klick..." # just a metronome, perhaps no necessary when in Nama
screen -X -S audio screen -t metronome -p- -- klick -T 4/4 120
sleep 1
screen -r audio
